### Property

# Adw TabPage:indicator-icon

since: 1

#### Declaration

    property indicator-icon: Gio.Icon [ read, write ]

#### Description [src]

An indicator icon for the page.

A common use case is an audio or camera indicator in a web browser.

`AdwTabBar` will show it at the beginning of the tab, alongside icon representing `AdwTabPage:icon` or loading spinner.

If the page is pinned, the indicator will be shown instead of icon or spinner.

`AdwTabOverview` will show it at the at the top part of the thumbnail.

`AdwTabPage:indicator-tooltip` can be used to set the tooltip on the indicator icon.

If `AdwTabPage:indicator-activatable` is set to `TRUE`, the indicator icon can act as a button.

Type: | `GIcon`
Available since: | 1

Getter method | `adw_tab_page_get_indicator_icon()`
Setter method | `adw_tab_page_set_indicator_icon()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no